Fiat Payout Query API
API Information
| Item | Description |
|---|---|
| Method | POST |
| Path | /apis/v1/fiat-payout/query |
| Content-Type | application/json |
| Authentication | Required. Refer to 'Authorization Introduction' |
Description
This API is used to query fiat payout results in batch by merchant reference IDs.
Request Parameters
Request body parameters:
| Parameter | Required | Type | Description |
|---|---|---|---|
merchantReferenceIds | Yes | array<string> | List of merchant reference IDs. Maximum size is 100 |
Response
The standard response structure is R<List<object>>.
data list fields:
| Field | Type | Description |
|---|---|---|
payoutId | string | Payout transaction ID |
deductionAmount | number | Deduction amount |
rate | number | Exchange rate |
payoutAmount | number | Payout amount |
payoutCurrency | string | Payout currency |
deductionCurrency | string | Deduction currency |
transactionType | string | Transaction type |
status | string | Transaction status |
totalFee | number | Total fee |
feeCurrency | string | Fee currency |
merchantId | string | Merchant ID |
merchantReferenceId | string | Merchant reference ID |
completeTime | string | Completion time |
createdTime | string | Creation time |
updatedTime | string | Update time |
errorPayload | string | Error details |
accountName | string | Beneficiary account name |
accountNumber | string | Beneficiary account number |